Skip to main content
`Ctrl`+`K`

# AOGetType

Gets the `AO` type name (as a string) from the `AO`.

## Synopsis

    #include "petscao.h"
    PetscErrorCode AOGetType(AO ao, AOType *type)

Not Collective

## Input Parameter

- ao - The vector

## Output Parameter

- type - The `AO` type name

## Note

`type` should not be retained for later use as it will be an invalid pointer if the `AOType` of `ao` is changed.

## See Also

`AO`, `AOType`, `AOSetType()`, `AOCreate()`, `PetscObjectTypeCompare()`, `PetscObjectTypeCompareAny()`

## Level

intermediate

## Location

src/vec/is/ao/interface/aoreg.c

Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages